org.apache.sysds.runtime.privacy

## Class PrivacyMonitor

- java.lang.Object
- - org.apache.sysds.runtime.privacy.PrivacyMonitor

    public class PrivacyMonitor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PrivacyMonitor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearCheckedConstraints()`
`static EnumMap<PrivacyConstraint.PrivacyLevel,LongAdder>` `getCheckedConstraints()`
`static Data` `handlePrivacy(Data dataObject)` Throws DMLPrivacyException if privacy constraint is set to private or private aggregation.
`static void` `setCheckPrivacy(boolean checkPrivacyParam)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivacyMonitor

    public PrivacyMonitor()

### Method Detail

#### getCheckedConstraints

    public static EnumMap<PrivacyConstraint.PrivacyLevel,LongAdder> getCheckedConstraints()

#### clearCheckedConstraints

    public static void clearCheckedConstraints()

#### setCheckPrivacy

    public static void setCheckPrivacy(boolean checkPrivacyParam)

#### handlePrivacy

    public static Data handlePrivacy(Data dataObject)

Throws DMLPrivacyException if privacy constraint is set to private or private aggregation. The checked constraints log will be updated before throwing an exception.

Parameters:
  `dataObject` - input data object
Returns:
  data object or data object with privacy constraint removed in case the privacy level was none.